<?xml version="1.0" encoding="UTF-8"?>
<wls:weblogic-application xmlns:wls="http://xmlns.oracle.com/weblogic/weblogic-application" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/javaee_5.xsd http://xmlns.oracle.com/weblogic/weblogic-application http://xmlns.oracle.com/weblogic/weblogic-application/1.5/weblogic-application.xsd">
    <wls:prefer-application-resources>
        <wls:resource-name>META-INF/services/*</wls:resource-name>     
     </wls:prefer-application-resources>
     
  <!-- Note: Oracle XMLType uses these jars xdb6, ojdbc6 and xmlparserv2 be aware of future upgrades. 
   Could be some other jar conflicts. -->   
   
    <wls:prefer-application-packages>
	<!--	   	<wls:package-name>oracle.xml.*</wls:package-name>
				<wls:package-name>oracle.xdb.*</wls:package-name>
				<wls:package-name>oracle.jdbc.*</wls:package-name>
				-->
				<wls:package-name>oracle.core.lmx.*</wls:package-name>
			<wls:package-name>oracle.core.lvf.*</wls:package-name>
			<wls:package-name>oracle.jpub.runtime.*</wls:package-name>
			<wls:package-name>oracle.net.ano.*</wls:package-name>
			<wls:package-name>oracle.net.aso.*</wls:package-name>
			<wls:package-name>oracle.net.jdbc.*</wls:package-name>
			<wls:package-name>oracle.net.jndi.*</wls:package-name>
			<wls:package-name>oracle.net.ns.*</wls:package-name>
			<wls:package-name>oracle.net.nt.*</wls:package-name>
			<wls:package-name>oracle.net.resolver.*</wls:package-name>
			<wls:package-name>oracle.security.o3logon.*</wls:package-name>
			<wls:package-name>oracle.security.o5logon.*</wls:package-name>
			<wls:package-name>oracle.sql.*</wls:package-name>
			<wls:package-name>oracle.sql.converter.*</wls:package-name>
			<!--  
			  <wls:package-name>antlr.*</wls:package-name>
			  <wls:package-name>antlr.ASdebug.*</wls:package-name>
			  <wls:package-name>antlr.build.*</wls:package-name>
			  <wls:package-name>antlr.collections.*</wls:package-name>
			  <wls:package-name>antlr.collections.impl.*</wls:package-name>
			  <wls:package-name>antlr.debug.*</wls:package-name>
			  <wls:package-name>antlr.debug.misc.*</wls:package-name>
			  <wls:package-name>javassist.*</wls:package-name>
			  <wls:package-name>javassist.bytecode.*</wls:package-name>
			  <wls:package-name>javassist.bytecode.analysis.*</wls:package-name>
			  <wls:package-name>javassist.bytecode.annotation.*</wls:package-name>
			  <wls:package-name>javassist.bytecode.stackmap.*</wls:package-name>
			  <wls:package-name>javassist.compiler.*</wls:package-name>
			  <wls:package-name>javassist.compiler.ast.*</wls:package-name>
			  <wls:package-name>javassist.convert.*</wls:package-name>
			  <wls:package-name>javassist.expr.*</wls:package-name>
			  <wls:package-name>javassist.runtime.*</wls:package-name>
			  <wls:package-name>javassist.scopedpool.*</wls:package-name>
			  <wls:package-name>javassist.tools.*</wls:package-name>
			  <wls:package-name>javassist.tools.reflect.*</wls:package-name>
			  <wls:package-name>javassist.tools.rmi.*</wls:package-name>
			  <wls:package-name>javassist.tools.web.*</wls:package-name>
			  <wls:package-name>javassist.util.*</wls:package-name>
			  <wls:package-name>javassist.util.proxy.*</wls:package-name>
			  <wls:package-name>javax.annotation.*</wls:package-name>
			  <wls:package-name>javax.annotation.security.*</wls:package-name>
			  <wls:package-name>javax.annotation.sql.*</wls:package-name>
			  <wls:package-name>javax.decorator.*</wls:package-name>
			  <wls:package-name>javax.ejb.*</wls:package-name>
			  <wls:package-name>javax.ejb.embeddable.*</wls:package-name>
			  <wls:package-name>javax.ejb.spi.*</wls:package-name>
			  <wls:package-name>javax.el.*</wls:package-name>
			  <wls:package-name>javax.enterprise.context.*</wls:package-name>
			  <wls:package-name>javax.enterprise.event.*</wls:package-name>
			  <wls:package-name>javax.enterprise.inject.*</wls:package-name>
			  <wls:package-name>javax.enterprise.util.*</wls:package-name>
			  <wls:package-name>javax.faces.*</wls:package-name>
			  <wls:package-name>javax.faces.application.*</wls:package-name>
			  <wls:package-name>javax.faces.bean.*</wls:package-name>
			  <wls:package-name>javax.faces.component.*</wls:package-name>
			  <wls:package-name>javax.faces.context.*</wls:package-name>
			  <wls:package-name>javax.faces.convert.*</wls:package-name>
			  <wls:package-name>javax.faces.el.*</wls:package-name>
			  <wls:package-name>javax.faces.event.*</wls:package-name>
			  <wls:package-name>javax.faces.lifecycle.*</wls:package-name>
			  <wls:package-name>javax.faces.model.*</wls:package-name>
			  <wls:package-name>javax.faces.render.*</wls:package-name>
			  <wls:package-name>javax.faces.validator.*</wls:package-name>
			  <wls:package-name>javax.faces.view.*</wls:package-name>
			  <wls:package-name>javax.faces.webapp.*</wls:package-name>
			  <wls:package-name>javax.inject.*</wls:package-name>
			  <wls:package-name>javax.interceptor.*</wls:package-name>
			  <wls:package-name>javax.jms.*</wls:package-name>
			  <wls:package-name>javax.json.*</wls:package-name>
			  <wls:package-name>javax.json.spi.*</wls:package-name>
			  <wls:package-name>javax.json.stream.*</wls:package-name>
			  <wls:package-name>javax.persistence.*</wls:package-name>
			  <wls:package-name>javax.persistence.criteria.*</wls:package-name>
			  <wls:package-name>javax.persistence.metamodel.*</wls:package-name>
			  <wls:package-name>javax.persistence.spi.*</wls:package-name>
			  <wls:package-name>javax.servlet.*</wls:package-name>
			  <wls:package-name>javax.servlet.annotation.*</wls:package-name>
			  <wls:package-name>javax.servlet.descriptor.*</wls:package-name>
			  <wls:package-name>javax.servlet.http.*</wls:package-name>
			  <wls:package-name>javax.servlet.jsp.*</wls:package-name>
			  <wls:package-name>javax.transaction.*</wls:package-name>
			  <wls:package-name>javax.transaction.xa.*</wls:package-name>
			  <wls:package-name>javax.validation.*</wls:package-name>
			  <wls:package-name>javax.validation.bootstrap.*</wls:package-name>
			  <wls:package-name>javax.validation.constraints.*</wls:package-name>
			  <wls:package-name>javax.validation.groups.*</wls:package-name>
			  <wls:package-name>javax.validation.metadata.*</wls:package-name>
			  <wls:package-name>javax.validation.spi.*</wls:package-name>
			  <wls:package-name>javax.websocket.*</wls:package-name>
			  <wls:package-name>javax.websocket.server.*</wls:package-name>
			  <wls:package-name>javax.ws.rs.*</wls:package-name> 
			  <wls:package-name>org.apache.log4j.*</wls:package-name>
			  <wls:package-name>org.apache.logging.*</wls:package-name>
			  <wls:package-name>org.apache.taglibs.*</wls:package-name>
			  <wls:package-name>org.slf4j.*</wls:package-name>
			  <wls:package-name>org.slf4j.helpers.*</wls:package-name>
			  <wls:package-name>org.slf4j.impl.*</wls:package-name>
			  <wls:package-name>org.slf4j.spi.*</wls:package-name> 
			  <wls:package-name>org.w3c.dom.*</wls:package-name> -->
    </wls:prefer-application-packages>
</wls:weblogic-application> 


